| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Macros | Functions
pin_init module documentation

## Macros
#define | BOARD_DEBUG_UART_INSTANCE UART1_IDX
#define | BOARD_DEBUG_UART_BASEADDR UART1_BASE
#define | BOARD_DEBUG_UART_BAUD 115200
#define | BOARD_USE_UART

## Functions
void | hardware_init (void)
void | init_adc_pins (uint32_t instance)
| ADC method sets registers according routing settings. Call this method code to route desired pins into: ADC0, ADC1 peripherals. More...
void | deinit_adc_pins (uint32_t instance)
| ADC method sets registers according routing settings. Call this method code to disable routing of desired pins for: ADC0, ADC1 peripherals. More...
void | init_cmp_pins (uint32_t instance)
| CMP method sets registers according routing settings. Call this method code to route desired pins into: CMP0, CMP1, CMP2 peripherals. More...
void | deinit_cmp_pins (uint32_t instance)
| CMP method sets registers according routing settings. Call this method code to disable routing of desired pins for: CMP0, CMP1, CMP2 peripherals. More...
void | init_enet_pins (uint32_t instance)
| ENET method sets registers according routing settings. Call this method code to route desired pins into ENET periphery. More...
void | deinit_enet_pins (uint32_t instance)
| ENET method sets registers according routing settings. Call this method code to disable routing of desired pins for ENET periphery. More...
void | init_gpio_pins (uint32_t instance)
| GPIO method sets registers according routing settings. Call this method code to route desired pins into: PTA, PTB, PTC, PTD, PTE peripherals. More...
void | deinit_gpio_pins (uint32_t instance)
| GPIO method sets registers according routing settings. Call this method code to disable routing of desired pins for: PTA, PTB, PTC, PTD, PTE peripherals. More...
void | init_i2c_pins (uint32_t instance)
| I2C method sets registers according routing settings. Call this method code to route desired pins into: I2C0, I2C1, I2C2 peripherals. More...
void | deinit_i2c_pins (uint32_t instance)
| I2C method sets registers according routing settings. Call this method code to disable routing of desired pins for: I2C0, I2C1, I2C2 peripherals. More...
void | init_jtag_pins (uint32_t instance)
| JTAG method sets registers according routing settings. Call this method code to route desired pins into JTAG periphery. More...
void | deinit_jtag_pins (uint32_t instance)
| JTAG method sets registers according routing settings. Call this method code to disable routing of desired pins for JTAG periphery. More...
void | init_llwu_pins (uint32_t instance)
| LLWU method sets registers according routing settings. Call this method code to route desired pins into LLWU periphery. More...
void | deinit_llwu_pins (uint32_t instance)
| LLWU method sets registers according routing settings. Call this method code to disable routing of desired pins for LLWU periphery. More...
void | init_osc_pins (uint32_t instance)
| OSC method sets registers according routing settings. Call this method code to route desired pins into OSC periphery. More...
void | deinit_osc_pins (uint32_t instance)
| OSC method sets registers according routing settings. Call this method code to disable routing of desired pins for OSC periphery. More...
void | init_spi_pins (uint32_t instance)
| SPI method sets registers according routing settings. Call this method code to route desired pins into: SPI0, SPI1, SPI2 peripherals. More...
void | deinit_spi_pins (uint32_t instance)
| SPI method sets registers according routing settings. Call this method code to disable routing of desired pins for: SPI0, SPI1, SPI2 peripherals. More...
void | init_tpiu_pins (uint32_t instance)
| TPIU method sets registers according routing settings. Call this method code to route desired pins into TPIU periphery. More...
void | deinit_tpiu_pins (uint32_t instance)
| TPIU method sets registers according routing settings. Call this method code to disable routing of desired pins for TPIU periphery. More...
void | init_uart_pins (uint32_t instance)
| UART method sets registers according routing settings. Call this method code to route desired pins into: UART0, UART1, UART2, UART3, UART4, UART5 peripherals. More...
void | deinit_uart_pins (uint32_t instance)
| UART method sets registers according routing settings. Call this method code to disable routing of desired pins for: UART0, UART1, UART2, UART3, UART4, UART5 peripherals. More...
void | init_can_pins (uint32_t instance)
| CAN method sets registers according routing settings. Call this method code to route desired pins into CAN0 periphery. More...
void | deinit_can_pins (uint32_t instance)
| CAN method sets registers according routing settings. Call this method code to disable routing of desired pins for CAN0 periphery. More...
void | init_cmt_pins (uint32_t instance)
| CMT method sets registers according routing settings. Call this method code to route desired pins into CMT periphery. More...
void | deinit_cmt_pins (uint32_t instance)
| CMT method sets registers according routing settings. Call this method code to disable routing of desired pins for CMT periphery. More...
void | init_dac_pins (uint32_t instance)
| DAC method sets registers according routing settings. Call this method code to route desired pins into DAC0 periphery. More...
void | deinit_dac_pins (uint32_t instance)
| DAC method sets registers according routing settings. Call this method code to disable routing of desired pins for DAC0 periphery. More...
void | init_dma_pins (uint32_t instance)
| DMA method sets registers according routing settings. Call this method code to route desired pins into DMA periphery. More...
void | deinit_dma_pins (uint32_t instance)
| DMA method sets registers according routing settings. Call this method code to disable routing of desired pins for DMA periphery. More...
void | init_ewm_pins (uint32_t instance)
| EWM method sets registers according routing settings. Call this method code to route desired pins into EWM periphery. More...
void | deinit_ewm_pins (uint32_t instance)
| EWM method sets registers according routing settings. Call this method code to disable routing of desired pins for EWM periphery. More...
void | init_fb_pins (uint32_t instance)
| FB method sets registers according routing settings. Call this method code to route desired pins into FB periphery. More...
void | deinit_fb_pins (uint32_t instance)
| FB method sets registers according routing settings. Call this method code to disable routing of desired pins for FB periphery. More...
void | init_ftm_pins (uint32_t instance)
| FTM method sets registers according routing settings. Call this method code to route desired pins into: FTM0, FTM1, FTM2, FTM3 peripherals. More...
void | deinit_ftm_pins (uint32_t instance)
| FTM method sets registers according routing settings. Call this method code to disable routing of desired pins for: FTM0, FTM1, FTM2, FTM3 peripherals. More...
void | init_i2s_pins (uint32_t instance)
| I2S method sets registers according routing settings. Call this method code to route desired pins into I2S0 periphery. More...
void | deinit_i2s_pins (uint32_t instance)
| I2S method sets registers according routing settings. Call this method code to disable routing of desired pins for I2S0 periphery. More...
void | init_lptmr_pins (uint32_t instance)
| LPTMR method sets registers according routing settings. Call this method code to route desired pins into LPTMR0 periphery. More...
void | deinit_lptmr_pins (uint32_t instance)
| LPTMR method sets registers according routing settings. Call this method code to disable routing of desired pins for LPTMR0 periphery. More...
void | init_pdb_pins (uint32_t instance)
| PDB method sets registers according routing settings. Call this method code to route desired pins into PDB0 periphery. More...
void | deinit_pdb_pins (uint32_t instance)
| PDB method sets registers according routing settings. Call this method code to disable routing of desired pins for PDB0 periphery. More...
void | init_rcm_pins (uint32_t instance)
| RCM method sets registers according routing settings. Call this method code to route desired pins into RCM periphery. More...
void | deinit_rcm_pins (uint32_t instance)
| RCM method sets registers according routing settings. Call this method code to disable routing of desired pins for RCM periphery. More...
void | init_rtc_pins (uint32_t instance)
| RTC method sets registers according routing settings. Call this method code to route desired pins into RTC periphery. More...
void | deinit_rtc_pins (uint32_t instance)
| RTC method sets registers according routing settings. Call this method code to disable routing of desired pins for RTC periphery. More...
void | init_scb_pins (uint32_t instance)
| SCB method sets registers according routing settings. Call this method code to route desired pins into SystemControl periphery. More...
void | deinit_scb_pins (uint32_t instance)
| SCB method sets registers according routing settings. Call this method code to disable routing of desired pins for SystemControl periphery. More...
void | init_sdhc_pins (uint32_t instance)
| SDHC method sets registers according routing settings. Call this method code to route desired pins into SDHC periphery. More...
void | deinit_sdhc_pins (uint32_t instance)
| SDHC method sets registers according routing settings. Call this method code to disable routing of desired pins for SDHC periphery. More...
void | init_sim_pins (uint32_t instance)
| SIM method sets registers according routing settings. Call this method code to route desired pins into SIM periphery. More...
void | deinit_sim_pins (uint32_t instance)
| SIM method sets registers according routing settings. Call this method code to disable routing of desired pins for SIM periphery. More...
void | init_supply_pins (uint32_t instance)
| SUPPLY method sets registers according routing settings. Call this method code to route desired pins into SUPPLY periphery. More...
void | deinit_supply_pins (uint32_t instance)
| SUPPLY method sets registers according routing settings. Call this method code to disable routing of desired pins for SUPPLY periphery. More...
void | init_usb_pins (uint32_t instance)
| USB method sets registers according routing settings. Call this method code to route desired pins into USB0 periphery. More...
void | deinit_usb_pins (uint32_t instance)
| USB method sets registers according routing settings. Call this method code to disable routing of desired pins for USB0 periphery. More...
void | init_usbdcd_pins (uint32_t instance)
| USBDCD method sets registers according routing settings. Call this method code to route desired pins into USBDCD periphery. More...
void | deinit_usbdcd_pins (uint32_t instance)
| USBDCD method sets registers according routing settings. Call this method code to disable routing of desired pins for USBDCD periphery. More...
void | init_vref_pins (uint32_t instance)
| VREF method sets registers according routing settings. Call this method code to route desired pins into VREF periphery. More...
void | deinit_vref_pins (uint32_t instance)
| VREF method sets registers according routing settings. Call this method code to disable routing of desired pins for VREF periphery. More...

## Detailed Description

## Macro Definition Documentation

#define BOARD_DEBUG_UART_BASEADDR UART1_BASE

Definition at line 1400 of file board.h.

#define BOARD_DEBUG_UART_BAUD 115200

Definition at line 1403 of file board.h.

#define BOARD_DEBUG_UART_INSTANCE UART1_IDX

Definition at line 1399 of file board.h.

#define BOARD_USE_UART

Definition at line 1406 of file board.h.

## Function Documentation

void deinit_adc_pins | ( | uint32_t | instance | ) |

ADC method sets registers according routing settings. Call this method code to disable routing of desired pins for: ADC0, ADC1 peripherals.

Parameters

  instance | - ADC instance number 0..1

Definition at line 1423 of file pin_init.c.

void deinit_can_pins | ( | uint32_t | instance | ) |

CAN method sets registers according routing settings. Call this method code to disable routing of desired pins for CAN0 periphery.

Parameters

  instance | - CAN instance number (0 is expected)

void deinit_cmp_pins | ( | uint32_t | instance | ) |

CMP method sets registers according routing settings. Call this method code to disable routing of desired pins for: CMP0, CMP1, CMP2 peripherals.

Parameters

  instance | - CMP instance number 0..2

Definition at line 1456 of file pin_init.c.

void deinit_cmt_pins | ( | uint32_t | instance | ) |

CMT method sets registers according routing settings. Call this method code to disable routing of desired pins for CMT periphery.

Parameters

  instance | - CMT instance number (0 is expected)

void deinit_dac_pins | ( | uint32_t | instance | ) |

DAC method sets registers according routing settings. Call this method code to disable routing of desired pins for DAC0 periphery.

Parameters

  instance | - DAC instance number (0 is expected)

void deinit_dma_pins | ( | uint32_t | instance | ) |

DMA method sets registers according routing settings. Call this method code to disable routing of desired pins for DMA periphery.

Parameters

  instance | - DMA instance number (0 is expected)

void deinit_enet_pins | ( | uint32_t | instance | ) |

ENET method sets registers according routing settings. Call this method code to disable routing of desired pins for ENET periphery.

Parameters

  instance | - ENET instance number (0 is expected)

Definition at line 1484 of file pin_init.c.

void deinit_ewm_pins | ( | uint32_t | instance | ) |

EWM method sets registers according routing settings. Call this method code to disable routing of desired pins for EWM periphery.

Parameters

  instance | - EWM instance number (0 is expected)

void deinit_fb_pins | ( | uint32_t | instance | ) |

FB method sets registers according routing settings. Call this method code to disable routing of desired pins for FB periphery.

Parameters

  instance | - FB instance number (0 is expected)

void deinit_ftm_pins | ( | uint32_t | instance | ) |

FTM method sets registers according routing settings. Call this method code to disable routing of desired pins for: FTM0, FTM1, FTM2, FTM3 peripherals.

Parameters

  instance | - FTM instance number 0..3

void deinit_gpio_pins | ( | uint32_t | instance | ) |

GPIO method sets registers according routing settings. Call this method code to disable routing of desired pins for: PTA, PTB, PTC, PTD, PTE peripherals.

Parameters

  instance | - GPIO instance number 0..4

Definition at line 1548 of file pin_init.c.

void deinit_i2c_pins | ( | uint32_t | instance | ) |

I2C method sets registers according routing settings. Call this method code to disable routing of desired pins for: I2C0, I2C1, I2C2 peripherals.

Parameters

  instance | - I2C instance number 0..2

Definition at line 1595 of file pin_init.c.

void deinit_i2s_pins | ( | uint32_t | instance | ) |

I2S method sets registers according routing settings. Call this method code to disable routing of desired pins for I2S0 periphery.

Parameters

  instance | - I2S instance number (0 is expected)

void deinit_jtag_pins | ( | uint32_t | instance | ) |

JTAG method sets registers according routing settings. Call this method code to disable routing of desired pins for JTAG periphery.

Parameters

  instance | - JTAG instance number (0 is expected)

Definition at line 1630 of file pin_init.c.

void deinit_llwu_pins | ( | uint32_t | instance | ) |

LLWU method sets registers according routing settings. Call this method code to disable routing of desired pins for LLWU periphery.

Parameters

  instance | - LLWU instance number (0 is expected)

Definition at line 1658 of file pin_init.c.

void deinit_lptmr_pins | ( | uint32_t | instance | ) |

LPTMR method sets registers according routing settings. Call this method code to disable routing of desired pins for LPTMR0 periphery.

Parameters

  instance | - LPTMR instance number (0 is expected)

void deinit_osc_pins | ( | uint32_t | instance | ) |

OSC method sets registers according routing settings. Call this method code to disable routing of desired pins for OSC periphery.

Parameters

  instance | - OSC instance number (0 is expected)

Definition at line 1680 of file pin_init.c.

void deinit_pdb_pins | ( | uint32_t | instance | ) |

PDB method sets registers according routing settings. Call this method code to disable routing of desired pins for PDB0 periphery.

Parameters

  instance | - PDB instance number (0 is expected)

void deinit_rcm_pins | ( | uint32_t | instance | ) |

RCM method sets registers according routing settings. Call this method code to disable routing of desired pins for RCM periphery.

Parameters

  instance | - RCM instance number (0 is expected)

void deinit_rtc_pins | ( | uint32_t | instance | ) |

RTC method sets registers according routing settings. Call this method code to disable routing of desired pins for RTC periphery.

Parameters

  instance | - RTC instance number (0 is expected)

void deinit_scb_pins | ( | uint32_t | instance | ) |

SCB method sets registers according routing settings. Call this method code to disable routing of desired pins for SystemControl periphery.

Parameters

  instance | - SCB instance number (0 is expected)

void deinit_sdhc_pins | ( | uint32_t | instance | ) |

SDHC method sets registers according routing settings. Call this method code to disable routing of desired pins for SDHC periphery.

Parameters

  instance | - SDHC instance number (0 is expected)

void deinit_sim_pins | ( | uint32_t | instance | ) |

SIM method sets registers according routing settings. Call this method code to disable routing of desired pins for SIM periphery.

Parameters

  instance | - SIM instance number (0 is expected)

void deinit_spi_pins | ( | uint32_t | instance | ) |

SPI method sets registers according routing settings. Call this method code to disable routing of desired pins for: SPI0, SPI1, SPI2 peripherals.

Parameters

  instance | - SPI instance number 0..2

Definition at line 1711 of file pin_init.c.

void deinit_supply_pins | ( | uint32_t | instance | ) |

SUPPLY method sets registers according routing settings. Call this method code to disable routing of desired pins for SUPPLY periphery.

Parameters

  instance | - SUPPLY instance number (0 is expected)

void deinit_tpiu_pins | ( | uint32_t | instance | ) |

TPIU method sets registers according routing settings. Call this method code to disable routing of desired pins for TPIU periphery.

Parameters

  instance | - TPIU instance number (0 is expected)

Definition at line 1741 of file pin_init.c.

void deinit_uart_pins | ( | uint32_t | instance | ) |

UART method sets registers according routing settings. Call this method code to disable routing of desired pins for: UART0, UART1, UART2, UART3, UART4, UART5 peripherals.

Parameters

  instance | - UART instance number 0..5

Definition at line 1776 of file pin_init.c.

void deinit_usb_pins | ( | uint32_t | instance | ) |

USB method sets registers according routing settings. Call this method code to disable routing of desired pins for USB0 periphery.

Parameters

  instance | - USB instance number (0 is expected)

void deinit_usbdcd_pins | ( | uint32_t | instance | ) |

USBDCD method sets registers according routing settings. Call this method code to disable routing of desired pins for USBDCD periphery.

Parameters

  instance | - USBDCD instance number (0 is expected)

void deinit_vref_pins | ( | uint32_t | instance | ) |

VREF method sets registers according routing settings. Call this method code to disable routing of desired pins for VREF periphery.

Parameters

  instance | - VREF instance number (0 is expected)

void hardware_init | ( | void |  | ) |

Definition at line 1397 of file hardware_init.c.

References init_adc_pins(), init_cmp_pins(), init_enet_pins(), init_gpio_pins(), init_i2c_pins(), init_jtag_pins(), init_llwu_pins(), init_osc_pins(), init_spi_pins(), init_tpiu_pins(), and init_uart_pins().

Here is the call graph for this function:

void init_adc_pins | ( | uint32_t | instance | ) |

ADC method sets registers according routing settings. Call this method code to route desired pins into: ADC0, ADC1 peripherals.

Parameters

  instance | - ADC instance number 0..1

Definition at line 1406 of file pin_init.c.

Referenced by hardware_init().

Here is the caller graph for this function:

void init_can_pins | ( | uint32_t | instance | ) |

CAN method sets registers according routing settings. Call this method code to route desired pins into CAN0 periphery.

Parameters

  instance | - CAN instance number (0 is expected)

void init_cmp_pins | ( | uint32_t | instance | ) |

CMP method sets registers according routing settings. Call this method code to route desired pins into: CMP0, CMP1, CMP2 peripherals.

Parameters

  instance | - CMP instance number 0..2

Definition at line 1439 of file pin_init.c.

Referenced by hardware_init().

Here is the caller graph for this function:

void init_cmt_pins | ( | uint32_t | instance | ) |

CMT method sets registers according routing settings. Call this method code to route desired pins into CMT periphery.

Parameters

  instance | - CMT instance number (0 is expected)

void init_dac_pins | ( | uint32_t | instance | ) |

DAC method sets registers according routing settings. Call this method code to route desired pins into DAC0 periphery.

Parameters

  instance | - DAC instance number (0 is expected)

void init_dma_pins | ( | uint32_t | instance | ) |

DMA method sets registers according routing settings. Call this method code to route desired pins into DMA periphery.

Parameters

  instance | - DMA instance number (0 is expected)

void init_enet_pins | ( | uint32_t | instance | ) |

ENET method sets registers according routing settings. Call this method code to route desired pins into ENET periphery.

Parameters

  instance | - ENET instance number (0 is expected)

Definition at line 1473 of file pin_init.c.

Referenced by hardware_init().

Here is the caller graph for this function:

void init_ewm_pins | ( | uint32_t | instance | ) |

EWM method sets registers according routing settings. Call this method code to route desired pins into EWM periphery.

Parameters

  instance | - EWM instance number (0 is expected)

void init_fb_pins | ( | uint32_t | instance | ) |

FB method sets registers according routing settings. Call this method code to route desired pins into FB periphery.

Parameters

  instance | - FB instance number (0 is expected)

void init_ftm_pins | ( | uint32_t | instance | ) |

FTM method sets registers according routing settings. Call this method code to route desired pins into: FTM0, FTM1, FTM2, FTM3 peripherals.

Parameters

  instance | - FTM instance number 0..3

void init_gpio_pins | ( | uint32_t | instance | ) |

GPIO method sets registers according routing settings. Call this method code to route desired pins into: PTA, PTB, PTC, PTD, PTE peripherals.

Parameters

  instance | - GPIO instance number 0..4

Definition at line 1494 of file pin_init.c.

Referenced by hardware_init().

Here is the caller graph for this function:

void init_i2c_pins | ( | uint32_t | instance | ) |

I2C method sets registers according routing settings. Call this method code to route desired pins into: I2C0, I2C1, I2C2 peripherals.

Parameters

  instance | - I2C instance number 0..2

Definition at line 1574 of file pin_init.c.

Referenced by hardware_init().

Here is the caller graph for this function:

void init_i2s_pins | ( | uint32_t | instance | ) |

I2S method sets registers according routing settings. Call this method code to route desired pins into I2S0 periphery.

Parameters

  instance | - I2S instance number (0 is expected)

void init_jtag_pins | ( | uint32_t | instance | ) |

JTAG method sets registers according routing settings. Call this method code to route desired pins into JTAG periphery.

Parameters

  instance | - JTAG instance number (0 is expected)

Definition at line 1613 of file pin_init.c.

Referenced by hardware_init().

Here is the caller graph for this function:

void init_llwu_pins | ( | uint32_t | instance | ) |

LLWU method sets registers according routing settings. Call this method code to route desired pins into LLWU periphery.

Parameters

  instance | - LLWU instance number (0 is expected)

Definition at line 1644 of file pin_init.c.

Referenced by hardware_init().

Here is the caller graph for this function:

void init_lptmr_pins | ( | uint32_t | instance | ) |

LPTMR method sets registers according routing settings. Call this method code to route desired pins into LPTMR0 periphery.

Parameters

  instance | - LPTMR instance number (0 is expected)

void init_osc_pins | ( | uint32_t | instance | ) |

OSC method sets registers according routing settings. Call this method code to route desired pins into OSC periphery.

Parameters

  instance | - OSC instance number (0 is expected)

Definition at line 1669 of file pin_init.c.

Referenced by hardware_init().

Here is the caller graph for this function:

void init_pdb_pins | ( | uint32_t | instance | ) |

PDB method sets registers according routing settings. Call this method code to route desired pins into PDB0 periphery.

Parameters

  instance | - PDB instance number (0 is expected)

void init_rcm_pins | ( | uint32_t | instance | ) |

RCM method sets registers according routing settings. Call this method code to route desired pins into RCM periphery.

Parameters

  instance | - RCM instance number (0 is expected)

void init_rtc_pins | ( | uint32_t | instance | ) |

RTC method sets registers according routing settings. Call this method code to route desired pins into RTC periphery.

Parameters

  instance | - RTC instance number (0 is expected)

void init_scb_pins | ( | uint32_t | instance | ) |

SCB method sets registers according routing settings. Call this method code to route desired pins into SystemControl periphery.

Parameters

  instance | - SCB instance number (0 is expected)

void init_sdhc_pins | ( | uint32_t | instance | ) |

SDHC method sets registers according routing settings. Call this method code to route desired pins into SDHC periphery.

Parameters

  instance | - SDHC instance number (0 is expected)

void init_sim_pins | ( | uint32_t | instance | ) |

SIM method sets registers according routing settings. Call this method code to route desired pins into SIM periphery.

Parameters

  instance | - SIM instance number (0 is expected)

void init_spi_pins | ( | uint32_t | instance | ) |

SPI method sets registers according routing settings. Call this method code to route desired pins into: SPI0, SPI1, SPI2 peripherals.

Parameters

  instance | - SPI instance number 0..2

Definition at line 1690 of file pin_init.c.

Referenced by hardware_init().

Here is the caller graph for this function:

void init_supply_pins | ( | uint32_t | instance | ) |

SUPPLY method sets registers according routing settings. Call this method code to route desired pins into SUPPLY periphery.

Parameters

  instance | - SUPPLY instance number (0 is expected)

void init_tpiu_pins | ( | uint32_t | instance | ) |

TPIU method sets registers according routing settings. Call this method code to route desired pins into TPIU periphery.

Parameters

  instance | - TPIU instance number (0 is expected)

Definition at line 1730 of file pin_init.c.

Referenced by hardware_init().

Here is the caller graph for this function:

void init_uart_pins | ( | uint32_t | instance | ) |

UART method sets registers according routing settings. Call this method code to route desired pins into: UART0, UART1, UART2, UART3, UART4, UART5 peripherals.

Parameters

  instance | - UART instance number 0..5

Definition at line 1751 of file pin_init.c.

Referenced by hardware_init().

Here is the caller graph for this function:

void init_usb_pins | ( | uint32_t | instance | ) |

USB method sets registers according routing settings. Call this method code to route desired pins into USB0 periphery.

Parameters

  instance | - USB instance number (0 is expected)

void init_usbdcd_pins | ( | uint32_t | instance | ) |

USBDCD method sets registers according routing settings. Call this method code to route desired pins into USBDCD periphery.

Parameters

  instance | - USBDCD instance number (0 is expected)

void init_vref_pins | ( | uint32_t | instance | ) |

VREF method sets registers according routing settings. Call this method code to route desired pins into VREF periphery.

Parameters

  instance | - VREF instance number (0 is expected)

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.